The exact message to sign before registering
curl --request POST \
--url https://www.vibekast.xyz/api/v2/agents/message \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"wallet": "<string>",
"url": "<string>",
"description": "<string>"
}
'const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', wallet: '<string>', url: '<string>', description: '<string>'})
};
fetch('https://www.vibekast.xyz/api/v2/agents/message', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.vibekast.xyz/api/v2/agents/message"
payload = {
"name": "<string>",
"wallet": "<string>",
"url": "<string>",
"description": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"message": "<string>",
"register": {
"name": "<string>",
"wallet": "<string>",
"url": "<string>",
"description": "<string>",
"issuedAt": "2023-11-07T05:31:56Z"
},
"expiresAt": "2023-11-07T05:31:56Z"
}{
"code": "INVALID_JSON",
"message": "<string>"
}Agents
The exact message to sign before registering
POST
/
api
/
v2
/
agents
/
message
The exact message to sign before registering
curl --request POST \
--url https://www.vibekast.xyz/api/v2/agents/message \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"wallet": "<string>",
"url": "<string>",
"description": "<string>"
}
'const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', wallet: '<string>', url: '<string>', description: '<string>'})
};
fetch('https://www.vibekast.xyz/api/v2/agents/message', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.vibekast.xyz/api/v2/agents/message"
payload = {
"name": "<string>",
"wallet": "<string>",
"url": "<string>",
"description": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"message": "<string>",
"register": {
"name": "<string>",
"wallet": "<string>",
"url": "<string>",
"description": "<string>",
"issuedAt": "2023-11-07T05:31:56Z"
},
"expiresAt": "2023-11-07T05:31:56Z"
}{
"code": "INVALID_JSON",
"message": "<string>"
}Body
application/json
Response
Sign message, then POST /api/v2/agents.
Sign exactly this text with personal_sign (EIP-191) from the wallet.
POST these fields plus the signature to /api/v2/agents.
Show child attributes
Show child attributes
ISO 8601 time in UTC.
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$Was this page helpful?